#include <Arduino.h>
#include <Servo.h>

char input{'0'};
int servoPin{5};
int servoPos{90};
Servo myServo;

void setup() {
  // put your setup code here, to run once:
  Serial.begin(9600);
  Serial.println("Welcome to the Servo Game");
  // Set the pin und pulse width for the Servo
  myServo.attach(servoPin, 1000, 2000);
  // Move to initial position
  myServo.write(servoPos);
}

void loop() {
  // put your main code here, to run repeatedly:
  if(Serial.available()){
    input = Serial.read();
    if(input == 'a' && servoPos > 0){
      servoPos = servoPos -5;
    }
    if (input == 'd' && servoPos < 180)
    {
      myServo.write(servoPos);
      Serial.println(servoPos);
    }
  }
}