#include <Arduino.h>

String zahlString{""};
int versuche{0};
int gesuchteZahl{0};

void resetGame() {
  versuche = 0;
  zahlString = "";
  gesuchteZahl = random(10); 
  Serial.println("Ich merke mir eine Zahl. Welche ist es?");
}

void setup() {
  // put your setup code here, to run once:
  Serial.begin(9600);
  resetGame();
}

void loop() {
  // put your main code here, to run repeatedly:
if (Serial.available()) {
    zahlString = Serial.readString();
    // Zähle die Versuche
    versuche++;                                   // versuche++ ist dasselbe wie versuche = versuche + 1
    // Die Klasse String bietet Extrafunktionen und erlaubt es uns, Text in Zahlen zu wandeln
    int eingegebeneZahl = zahlString.toInt();
    if (eingegebeneZahl == gesuchteZahl) {        // Wenn die Zahlen übereinstimmen
      Serial.println("Super!");
      Serial.print("Du hast ");
      Serial.print(versuche);
      Serial.println(" Versuche benoetigt.");
      resetGame();
    } else {                                      // Wenn die Zahlen nicht übereinstimmen
      Serial.print(eingegebeneZahl);
      if (eingegebeneZahl > gesuchteZahl) {       // Die eingegebene Zahl ist zu gross
        Serial.println(" ist zu gross.");
      } else {                                    // Die eingegebene Zahl ist zu klein
        Serial.println(" ist zu klein."); 
      }
    }
  }
}