#include <Arduino.h>
#include "Flowerpot.h"

#define VALVE_PIN1 5
#define VALVE_PIN2 3
#define VALVE_PIN3 6

#define DISPLAY_ADDRESS1 0x3E
#define DISPLAY_ADDRESS2 0x3F
#define DISPLAY_ADDRESS3 0x40

Flowerpot flowerpot1{10, DISPLAY_ADDRESS1, VALVE_PIN1};
Flowerpot flowerpot2{50, DISPLAY_ADDRESS2, VALVE_PIN2};
Flowerpot flowerpot3{30, DISPLAY_ADDRESS3, VALVE_PIN3};

void setup() {
  Serial.begin(9600);
  flowerpot1.begin();
  flowerpot2.begin();
  flowerpot3.begin();
}

void loop() {
  flowerpot1.loop();
  flowerpot2.loop();
  flowerpot3.loop();
  delay(50);
}